org.apache.poi.hssf.record.chart

## Class AxisOptionsRecord

- java.lang.Object
- - org.apache.poi.hssf.record.RecordBase
  - - org.apache.poi.hssf.record.Record
    - - org.apache.poi.hssf.record.StandardRecord
      - - org.apache.poi.hssf.record.chart.AxisOptionsRecord

- All Implemented Interfaces:
    Duplicatable

      public final class AxisOptionsRecord
      extends StandardRecord

  The axis options record provides unit information and other various tidbits about the axis.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `sid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AxisOptionsRecord()`
    `AxisOptionsRecord(AxisOptionsRecord other)`
    `AxisOptionsRecord(RecordInputStream in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `AxisOptionsRecord` | `clone()` Deprecated.
    `AxisOptionsRecord` | `copy()`
    `short` | `getBaseUnit()` Get the base unit field for the AxisOptions record.
    `short` | `getCrossingPoint()` Get the crossing point field for the AxisOptions record.
    `protected int` | `getDataSize()`
    `short` | `getMajorUnit()` Get the major unit field for the AxisOptions record.
    `short` | `getMajorUnitValue()` Get the major unit value field for the AxisOptions record.
    `short` | `getMaximumCategory()` Get the maximum category field for the AxisOptions record.
    `short` | `getMinimumCategory()` Get the minimum category field for the AxisOptions record.
    `short` | `getMinorUnit()` Get the minor unit field for the AxisOptions record.
    `short` | `getMinorUnitValue()` Get the minor unit value field for the AxisOptions record.
    `short` | `getOptions()` Get the options field for the AxisOptions record.
    `short` | `getSid()` return the non static version of the id for this record.
    `boolean` | `isDefaultBase()` use the default base unit
    `boolean` | `isDefaultCross()` use the default crossing point
    `boolean` | `isDefaultDateSettings()` use default date setttings for this axis
    `boolean` | `isDefaultMajor()` use the default major unit
    `boolean` | `isDefaultMaximum()` use the default maximum category
    `boolean` | `isDefaultMinimum()` use the default minimum category
    `boolean` | `isDefaultMinorUnit()` use the default minor unit
    `boolean` | `isIsDate()` this is a date axis
    `void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
    `void` | `setBaseUnit(short field_7_baseUnit)` Set the base unit field for the AxisOptions record.
    `void` | `setCrossingPoint(short field_8_crossingPoint)` Set the crossing point field for the AxisOptions record.
    `void` | `setDefaultBase(boolean value)` Sets the default base field value.
    `void` | `setDefaultCross(boolean value)` Sets the default cross field value.
    `void` | `setDefaultDateSettings(boolean value)` Sets the default date settings field value.
    `void` | `setDefaultMajor(boolean value)` Sets the default major field value.
    `void` | `setDefaultMaximum(boolean value)` Sets the default maximum field value.
    `void` | `setDefaultMinimum(boolean value)` Sets the default minimum field value.
    `void` | `setDefaultMinorUnit(boolean value)` Sets the default minor unit field value.
    `void` | `setIsDate(boolean value)` Sets the isDate field value.
    `void` | `setMajorUnit(short field_4_majorUnit)` Set the major unit field for the AxisOptions record.
    `void` | `setMajorUnitValue(short field_3_majorUnitValue)` Set the major unit value field for the AxisOptions record.
    `void` | `setMaximumCategory(short field_2_maximumCategory)` Set the maximum category field for the AxisOptions record.
    `void` | `setMinimumCategory(short field_1_minimumCategory)` Set the minimum category field for the AxisOptions record.
    `void` | `setMinorUnit(short field_6_minorUnit)` Set the minor unit field for the AxisOptions record.
    `void` | `setMinorUnitValue(short field_5_minorUnitValue)` Set the minor unit value field for the AxisOptions record.
    `void` | `setOptions(short field_9_options)` Set the options field for the AxisOptions record.
    `java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

    - ### Methods inherited from class org.apache.poi.hssf.record.StandardRecord

      `getRecordSize, serialize`

    - ### Methods inherited from class org.apache.poi.hssf.record.Record

      `cloneViaReserialise, serialize`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sid

          public static final short sid

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AxisOptionsRecord

          public AxisOptionsRecord()

    - #### AxisOptionsRecord

          public AxisOptionsRecord(AxisOptionsRecord other)

    - #### AxisOptionsRecord

          public AxisOptionsRecord(RecordInputStream in)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Record`
      get a string representation of the record (for biffview/debugging)
      Overrides:
        `toString` in class `Record`

    - #### serialize

          public void serialize(LittleEndianOutput out)

      Description copied from class: `StandardRecord`
      Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.

      The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consisting of a 'ushort sid' and 'ushort reclength' has already been written by their superclass).

      Specified by:
        `serialize` in class `StandardRecord`
      Parameters:
        `out` - the output object

    - #### getDataSize

          protected int getDataSize()

      Specified by:
        `getDataSize` in class `StandardRecord`

    - #### getSid

          public short getSid()

      Description copied from class: `Record`
      return the non static version of the id for this record.
      Specified by:
        `getSid` in class `Record`
      Returns:
        he id for this record

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          public AxisOptionsRecord clone()

      Deprecated.
      Overrides:
        `clone` in class `java.lang.Object`

    - #### getMinimumCategory

          public short getMinimumCategory()

      Get the minimum category field for the AxisOptions record.

    - #### setMinimumCategory

          public void setMinimumCategory(short field_1_minimumCategory)

      Set the minimum category field for the AxisOptions record.

    - #### getMaximumCategory

          public short getMaximumCategory()

      Get the maximum category field for the AxisOptions record.

    - #### setMaximumCategory

          public void setMaximumCategory(short field_2_maximumCategory)

      Set the maximum category field for the AxisOptions record.

    - #### getMajorUnitValue

          public short getMajorUnitValue()

      Get the major unit value field for the AxisOptions record.

    - #### setMajorUnitValue

          public void setMajorUnitValue(short field_3_majorUnitValue)

      Set the major unit value field for the AxisOptions record.

    - #### getMajorUnit

          public short getMajorUnit()

      Get the major unit field for the AxisOptions record.

    - #### setMajorUnit

          public void setMajorUnit(short field_4_majorUnit)

      Set the major unit field for the AxisOptions record.

    - #### getMinorUnitValue

          public short getMinorUnitValue()

      Get the minor unit value field for the AxisOptions record.

    - #### setMinorUnitValue

          public void setMinorUnitValue(short field_5_minorUnitValue)

      Set the minor unit value field for the AxisOptions record.

    - #### getMinorUnit

          public short getMinorUnit()

      Get the minor unit field for the AxisOptions record.

    - #### setMinorUnit

          public void setMinorUnit(short field_6_minorUnit)

      Set the minor unit field for the AxisOptions record.

    - #### getBaseUnit

          public short getBaseUnit()

      Get the base unit field for the AxisOptions record.

    - #### setBaseUnit

          public void setBaseUnit(short field_7_baseUnit)

      Set the base unit field for the AxisOptions record.

    - #### getCrossingPoint

          public short getCrossingPoint()

      Get the crossing point field for the AxisOptions record.

    - #### setCrossingPoint

          public void setCrossingPoint(short field_8_crossingPoint)

      Set the crossing point field for the AxisOptions record.

    - #### getOptions

          public short getOptions()

      Get the options field for the AxisOptions record.

    - #### setOptions

          public void setOptions(short field_9_options)

      Set the options field for the AxisOptions record.

    - #### setDefaultMinimum

          public void setDefaultMinimum(boolean value)

      Sets the default minimum field value. use the default minimum category

    - #### isDefaultMinimum

          public boolean isDefaultMinimum()

      use the default minimum category
      Returns:
        the default minimum field value.

    - #### setDefaultMaximum

          public void setDefaultMaximum(boolean value)

      Sets the default maximum field value. use the default maximum category

    - #### isDefaultMaximum

          public boolean isDefaultMaximum()

      use the default maximum category
      Returns:
        the default maximum field value.

    - #### setDefaultMajor

          public void setDefaultMajor(boolean value)

      Sets the default major field value. use the default major unit

    - #### isDefaultMajor

          public boolean isDefaultMajor()

      use the default major unit
      Returns:
        the default major field value.

    - #### setDefaultMinorUnit

          public void setDefaultMinorUnit(boolean value)

      Sets the default minor unit field value. use the default minor unit

    - #### isDefaultMinorUnit

          public boolean isDefaultMinorUnit()

      use the default minor unit
      Returns:
        the default minor unit field value.

    - #### setIsDate

          public void setIsDate(boolean value)

      Sets the isDate field value. this is a date axis

    - #### isIsDate

          public boolean isIsDate()

      this is a date axis
      Returns:
        the isDate field value.

    - #### setDefaultBase

          public void setDefaultBase(boolean value)

      Sets the default base field value. use the default base unit

    - #### isDefaultBase

          public boolean isDefaultBase()

      use the default base unit
      Returns:
        the default base field value.

    - #### setDefaultCross

          public void setDefaultCross(boolean value)

      Sets the default cross field value. use the default crossing point

    - #### isDefaultCross

          public boolean isDefaultCross()

      use the default crossing point
      Returns:
        the default cross field value.

    - #### setDefaultDateSettings

          public void setDefaultDateSettings(boolean value)

      Sets the default date settings field value. use default date setttings for this axis

    - #### isDefaultDateSettings

          public boolean isDefaultDateSettings()

      use default date setttings for this axis
      Returns:
        the default date settings field value.

    - #### copy

          public AxisOptionsRecord copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `StandardRecord`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.